Bug 427124 - Skyrocket screensaver hangs and refuses to exit
Skyrocket screensaver hangs and refuses to exit
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rss-glx (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 19:33 EST by Justin Croonenberghs
Modified: 2009-01-09 00:40 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:40:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Croonenberghs 2007-12-31 19:33:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
THe Skyrocket screensaver in the RSS-GLX module hangs and refuses to exit on every invocation. When accessed via gnome-screensaver-preferences the screensaver, when selected, locks the window and refuses to exit. The window cannot be forced quit via GNOME, the process must be KILL -9 to exit. Despite this, the screensaver selection will be recorded in GConf, and any time the machine exits to screensaver, the session becomes impossible to enter; the unlock dialog never appears. All other applications continue to run.

Version-Release number of selected component (if applicable):
rss-glx-0.8.1.p-15.fc8

How reproducible:
Always


Steps to Reproduce:
1. Select System -> Preferences -> Look and Feel -> Screensaver
2. Select Skyrocket

Or...

1. Allow screensaver to activate, either via timeout or lock session
2. If Skyrocket is selected...

Actual Results:
Skyrocket refuses to exit, but doesn't appear as a locked process, so the only way to kill it is to KILL -9

Expected Results:
Skyrocket should have exited.

Additional info:
Comment 1 Justin Croonenberghs 2007-12-31 21:42:41 EST
I just upgraded package to rss-glx-0.8.1.p-17.fc8 as below:

# yum clean all
# yum update

Problem remains. Also discovered that 'Skyrocket (silent)' is not affected by
this bug. Wild guess -- something to do with audio?
Comment 2 Juan Manuel Rodriguez 2008-03-26 15:11:47 EDT
Hi there, another bug report. 
After selecting the any rss-glx screensaver, Gnome crashes. 
Even removing the packages leaves the offending screensaver enabled, thus
crashing the desktop whenever it enters into Screensaver mode, or I attempt to
change the screensaver. 
Comment 3 Rick Richardson 2008-06-07 08:11:19 EDT
Ditto.  rss-glx-skyrocket hangs on Fedora 8 with all updates applied.  i386 hw.
You have to go to a text mode login (Ctrl-Alt-F1) and kill -9 it.  Then the GUI
will Ctrl-Alt-F7 return.

I did this to remove it:

# rm `locate rss-glx-skyrocket`
Comment 4 Bug Zapper 2008-11-26 04:14:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:40:01 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.